package digital.laboratory.platform.inspection.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 实验中样本检测结果数据 DTO类，包含扩展数据
 * @TableName b_test_record_sampledata
 */
@Data
@ApiModel(value = "SampleInspectDataDTO", description = "实验中样本检测结果数据 DTO类，包含扩展数据")
public class SampleInspectDataDTO {

    @ApiModelProperty(value = "主键标识", example = "123456789")
    private String id;

    @ApiModelProperty(value = "数据从机器中导出的唯一标识", example = "Sample123")
    private String name;

    @ApiModelProperty(value = "样本编号", example = "SMP001")
    private String sampleNo;

    @ApiModelProperty(value = "实验ID", example = "TEST001")
    private String testId;

    @ApiModelProperty(value = "样品浓度", example = "8.9")
    private String sampleConcentration;

    @ApiModelProperty(value = "化合物名称", example = "Heroin")
    private String compoundName;

    @ApiModelProperty(value = "保留时间是否在误差范围内，缴获物(-1~1), 生物样本(-2.5~2.5)", example = "0.5")
    private String rtTimeWithinError;

    @ApiModelProperty(value = "保留时间相对误差(%)", example = "1.2")
    private Double rtTimeError;

    @ApiModelProperty(value = "检材保留时间(min)", example = "2.5")
    private Double targetRtTime;

    @ApiModelProperty(value = "是否检出该物质 1 检出, 0 未检出", example = "1")
    private Integer isDetected;

    @ApiModelProperty(value = "样本类型 - QC(质控), STD(标准品), Analyte(待测样品)", example = "QC")
    private String sampleType;

    @ApiModelProperty(value = "检测的化合物的中文名字", example = "海洛因")
    private String compoundCnName;

    @ApiModelProperty("是否检出, 定性结果")
    private String whetherCheckOut;

    @ApiModelProperty("样本检验扩展数据列表")
    private List<TestSampleDataExpandDTO> expandList;
}
